<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (14) on Fri May 29 23:30:56 CEST 2020 -->
<title>Serialized Form</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-29">
<meta name="description" content="serialized forms">
<meta name="generator" content="javadoc/SerializedFormWriterImpl">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.js"></script>
</head>
<body class="serialized-form">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<div class="serializedFormContainer">
<ul class="blockList">
<li class="blockList">
<section class="serializedPackageContainer">
<h2 title="Package">Package&nbsp;Heroes.Exception</h2>
<ul class="blockList">
<li class="blockList">
<section class="serializedClassDetails"><a id="Heroes.Exception.MapGenerationException">
<!--   -->
</a>
<h3>Class <a href="Heroes/Exception/MapGenerationException.html" title="class in Heroes.Exception">Heroes.Exception.MapGenerationException</a> extends java.lang.Exception implements Serializable</h3>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="Heroes.Exception.RessourceNotFoundException">
<!--   -->
</a>
<h3>Class <a href="Heroes/Exception/RessourceNotFoundException.html" title="class in Heroes.Exception">Heroes.Exception.RessourceNotFoundException</a> extends java.lang.Exception implements Serializable</h3>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="Heroes.Exception.StageException">
<!--   -->
</a>
<h3>Class <a href="Heroes/Exception/StageException.html" title="class in Heroes.Exception">Heroes.Exception.StageException</a> extends java.lang.Exception implements Serializable</h3>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedPackageContainer">
<h2 title="Package">Package&nbsp;Heroes.Map</h2>
<ul class="blockList">
<li class="blockList">
<section class="serializedClassDetails"><a id="Heroes.Map.MapOfTiles">
<!--   -->
</a>
<h3>Class <a href="Heroes/Map/MapOfTiles.html" title="class in Heroes.Map">Heroes.Map.MapOfTiles</a> extends java.util.HashMap implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>pathList</h5>
<pre>java.util.ArrayList&lt;java.lang.Integer&gt; pathList</pre>
<div class="block">list of all path key ordered</div>
</li>
<li class="blockList">
<h5>tiles</h5>
<pre>java.util.HashMap&lt;java.lang.Integer,&#8203;<a href="Heroes/Tile/Tile.html" title="class in Heroes.Tile">Tile</a>&gt; tiles</pre>
<div class="block">map of tiles</div>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
